searchData={"items":[{"type":"module","title":"HomeDash","doc":"HomeDash keeps the contexts that define your domain\nand business logic.\n\nContexts are also responsible for managing your data, regardless\nif it comes from the database, an external API or others.","ref":"HomeDash.html"},{"type":"module","title":"HomeDash.Card","doc":"","ref":"HomeDash.Card.html"},{"type":"type","title":"HomeDash.Card.t/0","doc":"","ref":"HomeDash.Card.html#t:t/0"},{"type":"module","title":"HomeDash.Config","doc":"Easy access to HolmeDash config","ref":"HomeDash.Config.html"},{"type":"module","title":"Examples - HomeDash.Config","doc":"# The default welcome card prodiver. This is the Hello World of HomeDash\n  config :home_dash, servers: [{HomeDash.Providers.Welcome, []}]\n\n  # Two actions with different providers\n  config :home_dash,\n      actions: [\n        welcome: [HomeDash.Providers.Welcome],\n        brewdash: [HomeDash.Providers.Welcome, HomeDash.Providers.BrewDashTaps]\n      ]\n\n  # Two different BrewDash providers, each with a different configuration.\n  config :home_dash,\n    actions: [\n      downstairs: [\n        {HomeDash.Providers.BrewDashTaps, [\n          server_name: HomeDash.Providers.BrewDashTaps.Upstairs,\n          taps_url: \"https://example.com/api/taps\"\n        ]}\n      ]\n      upstairs: [\n        {HomeDash.Providers.BrewDashTaps, [\n          server_name: HomeDash.Providers.BrewDashTaps.Downstairs,\n          taps_url: \"https://other.example.com/api/taps\"\n        ]}\n      ]\n    ]","ref":"HomeDash.Config.html#module-examples"},{"type":"function","title":"HomeDash.Config.all_providers/0","doc":"List all card providers configured under actions","ref":"HomeDash.Config.html#all_providers/0"},{"type":"function","title":"HomeDash.Config.provider/1","doc":"Gets the provider for the action.\n\nIf the action is not defined, fall back to the configured provider servers.","ref":"HomeDash.Config.html#provider/1"},{"type":"function","title":"HomeDash.Config.servers/0","doc":"Get the servers from the config.\n\nFalling back to the providers defined in `:actions` and then eventually to the @default_providers module.","ref":"HomeDash.Config.html#servers/0"},{"type":"behaviour","title":"HomeDash.Provider","doc":"Defines a homedash provider.\n\nA homedash provider is responsible for sending cards and card updates to subscribers.\n\n`use HomeDash.Provider`\n\n#","ref":"HomeDash.Provider.html"},{"type":"behaviour","title":"Overridable - HomeDash.Provider","doc":"```\ndef handle_cards(msg, opts) do\n  {:ok, fetch_cards()}\nend","ref":"HomeDash.Provider.html#module-overridable"},{"type":"callback","title":"HomeDash.Provider.handle_cards/2","doc":"","ref":"HomeDash.Provider.html#c:handle_cards/2"},{"type":"macro","title":"HomeDash.Provider.handle_info_home_dash/0","doc":"","ref":"HomeDash.Provider.html#handle_info_home_dash/0"},{"type":"callback","title":"HomeDash.Provider.push_cards/2","doc":"","ref":"HomeDash.Provider.html#c:push_cards/2"},{"type":"callback","title":"HomeDash.Provider.remove_cards/2","doc":"","ref":"HomeDash.Provider.html#c:remove_cards/2"},{"type":"callback","title":"HomeDash.Provider.set_cards/2","doc":"","ref":"HomeDash.Provider.html#c:set_cards/2"},{"type":"callback","title":"HomeDash.Provider.start_link/1","doc":"","ref":"HomeDash.Provider.html#c:start_link/1"},{"type":"callback","title":"HomeDash.Provider.subscribe/3","doc":"","ref":"HomeDash.Provider.html#c:subscribe/3"},{"type":"type","title":"HomeDash.Provider.component_id/0","doc":"","ref":"HomeDash.Provider.html#t:component_id/0"},{"type":"type","title":"HomeDash.Provider.handle_cards_response/0","doc":"","ref":"HomeDash.Provider.html#t:handle_cards_response/0"},{"type":"type","title":"HomeDash.Provider.opts/0","doc":"","ref":"HomeDash.Provider.html#t:opts/0"},{"type":"type","title":"HomeDash.Provider.state/0","doc":"","ref":"HomeDash.Provider.html#t:state/0"},{"type":"type","title":"HomeDash.Provider.subscription/0","doc":"","ref":"HomeDash.Provider.html#t:subscription/0"},{"type":"module","title":"HomeDash.Providers.BrewDashTaps","doc":"","ref":"HomeDash.Providers.BrewDashTaps.html"},{"type":"function","title":"HomeDash.Providers.BrewDashTaps.child_spec/1","doc":"Returns a specification to start this module under a supervisor.\n\nSee `Supervisor`.","ref":"HomeDash.Providers.BrewDashTaps.html#child_spec/1"},{"type":"function","title":"HomeDash.Providers.BrewDashTaps.handle_cards/2","doc":"","ref":"HomeDash.Providers.BrewDashTaps.html#handle_cards/2"},{"type":"function","title":"HomeDash.Providers.BrewDashTaps.poll/1","doc":"","ref":"HomeDash.Providers.BrewDashTaps.html#poll/1"},{"type":"function","title":"HomeDash.Providers.BrewDashTaps.public_message_name/1","doc":"","ref":"HomeDash.Providers.BrewDashTaps.html#public_message_name/1"},{"type":"module","title":"HomeDash.Providers.Welcome","doc":"","ref":"HomeDash.Providers.Welcome.html"},{"type":"function","title":"HomeDash.Providers.Welcome.child_spec/1","doc":"Returns a specification to start this module under a supervisor.\n\nSee `Supervisor`.","ref":"HomeDash.Providers.Welcome.html#child_spec/1"},{"type":"function","title":"HomeDash.Providers.Welcome.handle_event/3","doc":"","ref":"HomeDash.Providers.Welcome.html#handle_event/3"},{"type":"function","title":"HomeDash.Providers.Welcome.poll/1","doc":"","ref":"HomeDash.Providers.Welcome.html#poll/1"},{"type":"function","title":"HomeDash.Providers.Welcome.public_message_name/1","doc":"","ref":"HomeDash.Providers.Welcome.html#public_message_name/1"},{"type":"module","title":"HomeDashWeb","doc":"The entrypoint for defining your web interface, such\nas controllers, components, channels, and so on.\n\nThis can be used in your application as:\n\n    use HomeDashWeb, :controller\n    use HomeDashWeb, :html\n\nThe definitions below will be executed for every controller,\ncomponent, etc, so keep them short and clean, focused\non imports, uses and aliases.\n\nDo NOT define functions inside the quoted expressions\nbelow. Instead, define additional modules and import\nthose modules here.","ref":"HomeDashWeb.html"},{"type":"macro","title":"HomeDashWeb.__using__/1","doc":"When used, dispatch to the appropriate controller/view/etc.","ref":"HomeDashWeb.html#__using__/1"},{"type":"function","title":"HomeDashWeb.channel/0","doc":"","ref":"HomeDashWeb.html#channel/0"},{"type":"function","title":"HomeDashWeb.controller/0","doc":"","ref":"HomeDashWeb.html#controller/0"},{"type":"function","title":"HomeDashWeb.html/0","doc":"","ref":"HomeDashWeb.html#html/0"},{"type":"function","title":"HomeDashWeb.live_component/0","doc":"","ref":"HomeDashWeb.html#live_component/0"},{"type":"function","title":"HomeDashWeb.live_view/0","doc":"","ref":"HomeDashWeb.html#live_view/0"},{"type":"function","title":"HomeDashWeb.router/0","doc":"","ref":"HomeDashWeb.html#router/0"},{"type":"function","title":"HomeDashWeb.static_paths/0","doc":"","ref":"HomeDashWeb.html#static_paths/0"},{"type":"function","title":"HomeDashWeb.verified_routes/0","doc":"","ref":"HomeDashWeb.html#verified_routes/0"},{"type":"module","title":"HomeDashWeb.BrewDashCommon","doc":"","ref":"HomeDashWeb.BrewDashCommon.html"},{"type":"function","title":"HomeDashWeb.BrewDashCommon.floating_pill/1","doc":"","ref":"HomeDashWeb.BrewDashCommon.html#floating_pill/1"},{"type":"function","title":"Attributes - HomeDashWeb.BrewDashCommon.floating_pill/1","doc":"* `align` (`:atom`) - Defaults to `:right`.\n* `class` (`:string`) - Defaults to `nil`.","ref":"HomeDashWeb.BrewDashCommon.html#floating_pill/1-attributes"},{"type":"function","title":"Slots - HomeDashWeb.BrewDashCommon.floating_pill/1","doc":"* `inner_block` (required)","ref":"HomeDashWeb.BrewDashCommon.html#floating_pill/1-slots"},{"type":"function","title":"HomeDashWeb.BrewDashCommon.icon_gf/1","doc":"","ref":"HomeDashWeb.BrewDashCommon.html#icon_gf/1"},{"type":"function","title":"Attributes - HomeDashWeb.BrewDashCommon.icon_gf/1","doc":"* `tip` (`:string`) (required)\n* `class` (`:string`) - Defaults to `nil`.","ref":"HomeDashWeb.BrewDashCommon.html#icon_gf/1-attributes"},{"type":"function","title":"HomeDashWeb.BrewDashCommon.tool_tip/1","doc":"","ref":"HomeDashWeb.BrewDashCommon.html#tool_tip/1"},{"type":"function","title":"Attributes - HomeDashWeb.BrewDashCommon.tool_tip/1","doc":"* `tip` (`:string`) (required)","ref":"HomeDashWeb.BrewDashCommon.html#tool_tip/1-attributes"},{"type":"function","title":"Slots - HomeDashWeb.BrewDashCommon.tool_tip/1","doc":"* `inner_block` (required)","ref":"HomeDashWeb.BrewDashCommon.html#tool_tip/1-slots"},{"type":"module","title":"HomeDashWeb.Cards","doc":"LiveComponent to displays Cards.\n\nSubscribes to providers that are passed in as `providers`.\nInitial cards can be passed in with `cards`.","ref":"HomeDashWeb.Cards.html"},{"type":"module","title":"Example - HomeDashWeb.Cards","doc":"<.live_component\n    module={HomeDashWeb.Cards}\n    providers={[HomeDash.Providers.Welcome]}\n    id=\"first\"\n  />","ref":"HomeDashWeb.Cards.html#module-example"},{"type":"function","title":"HomeDashWeb.Cards.mount/1","doc":"","ref":"HomeDashWeb.Cards.html#mount/1"},{"type":"function","title":"Attributes - HomeDashWeb.Cards.mount/1","doc":"* `providers` (`:list`) - Defaults to `[]`.\n* `cards` (`:list`) - Defaults to `[]`.\n* `class` (`:string`)\n* `card_class` (`:string`)","ref":"HomeDashWeb.Cards.html#mount/1-attributes"},{"type":"function","title":"HomeDashWeb.Cards.render_card/1","doc":"","ref":"HomeDashWeb.Cards.html#render_card/1"},{"type":"module","title":"HomeDashWeb.Cards.BrewDashTaps","doc":"","ref":"HomeDashWeb.Cards.BrewDashTaps.html"},{"type":"function","title":"HomeDashWeb.Cards.BrewDashTaps.render/1","doc":"","ref":"HomeDashWeb.Cards.BrewDashTaps.html#render/1"},{"type":"function","title":"Attributes - HomeDashWeb.Cards.BrewDashTaps.render/1","doc":"* `card` (`HomeDash.Card`) (required)\n* `class` (`:string`)","ref":"HomeDashWeb.Cards.BrewDashTaps.html#render/1-attributes"},{"type":"module","title":"HomeDashWeb.Cards.Default","doc":"","ref":"HomeDashWeb.Cards.Default.html"},{"type":"function","title":"HomeDashWeb.Cards.Default.handle_event/3","doc":"","ref":"HomeDashWeb.Cards.Default.html#handle_event/3"},{"type":"function","title":"HomeDashWeb.Cards.Default.render/1","doc":"","ref":"HomeDashWeb.Cards.Default.html#render/1"},{"type":"function","title":"Attributes - HomeDashWeb.Cards.Default.render/1","doc":"* `card` (`HomeDash.Card`) (required)\n* `title` (`:string`)\n* `class` (`:string`)","ref":"HomeDashWeb.Cards.Default.html#render/1-attributes"},{"type":"function","title":"Slots - HomeDashWeb.Cards.Default.render/1","doc":"* `inner_block`","ref":"HomeDashWeb.Cards.Default.html#render/1-slots"},{"type":"module","title":"HomeDashWeb.CardsLive","doc":"A LiveView that wraps HomeDashWeb.Cards\n\nThe providers for each action can be configured. E.g.\n```\nconfig :home_dash, actions: [welcome: [HomeDash.Providers.Welcome]]\n```\n\n```\nlive \"/cards\", CardsLive, :welcome\n```","ref":"HomeDashWeb.CardsLive.html"},{"type":"module","title":"HomeDashWeb.CoreComponents","doc":"Provides core UI components.\n\nAt first glance, this module may seem daunting, but its goal is to provide\ncore building blocks for your application, such as modals, tables, and\nforms. The components consist mostly of markup and are well-documented\nwith doc strings and declarative assigns. You may customize and style\nthem in any way you want, based on your application growth and needs.\n\nThe default components use Tailwind CSS, a utility-first CSS framework.\nSee the [Tailwind CSS documentation](https://tailwindcss.com) to learn\nhow to customize them or feel free to swap in another framework altogether.\n\nIcons are provided by [heroicons](https://heroicons.com). See `icon/1` for usage.","ref":"HomeDashWeb.CoreComponents.html"},{"type":"function","title":"HomeDashWeb.CoreComponents.back/1","doc":"Renders a back navigation link.","ref":"HomeDashWeb.CoreComponents.html#back/1"},{"type":"function","title":"Examples - HomeDashWeb.CoreComponents.back/1","doc":"<.back navigate={~p\"/posts\"}>Back to posts</.back>","ref":"HomeDashWeb.CoreComponents.html#back/1-examples"},{"type":"function","title":"Attributes - HomeDashWeb.CoreComponents.back/1","doc":"* `navigate` (`:any`) (required)","ref":"HomeDashWeb.CoreComponents.html#back/1-attributes"},{"type":"function","title":"Slots - HomeDashWeb.CoreComponents.back/1","doc":"* `inner_block` (required)","ref":"HomeDashWeb.CoreComponents.html#back/1-slots"},{"type":"function","title":"HomeDashWeb.CoreComponents.button/1","doc":"Renders a button.","ref":"HomeDashWeb.CoreComponents.html#button/1"},{"type":"function","title":"Examples - HomeDashWeb.CoreComponents.button/1","doc":"<.button>Send!</.button>\n    <.button phx-click=\"go\" class=\"ml-2\">Send!</.button>","ref":"HomeDashWeb.CoreComponents.html#button/1-examples"},{"type":"function","title":"Attributes - HomeDashWeb.CoreComponents.button/1","doc":"* `type` (`:string`) - Defaults to `nil`.\n* `class` (`:string`) - Defaults to `nil`.\n* Global attributes are accepted. Supports all globals plus: `[\"disabled\", \"form\", \"name\", \"value\"]`.","ref":"HomeDashWeb.CoreComponents.html#button/1-attributes"},{"type":"function","title":"Slots - HomeDashWeb.CoreComponents.button/1","doc":"* `inner_block` (required)","ref":"HomeDashWeb.CoreComponents.html#button/1-slots"},{"type":"function","title":"HomeDashWeb.CoreComponents.error/1","doc":"Generates a generic error message.","ref":"HomeDashWeb.CoreComponents.html#error/1"},{"type":"function","title":"Slots - HomeDashWeb.CoreComponents.error/1","doc":"* `inner_block` (required)","ref":"HomeDashWeb.CoreComponents.html#error/1-slots"},{"type":"function","title":"HomeDashWeb.CoreComponents.flash/1","doc":"Renders flash notices.","ref":"HomeDashWeb.CoreComponents.html#flash/1"},{"type":"function","title":"Examples - HomeDashWeb.CoreComponents.flash/1","doc":"<.flash kind={:info} flash={@flash} />\n    <.flash kind={:info} phx-mounted={show(\"#flash\")}>Welcome Back!</.flash>","ref":"HomeDashWeb.CoreComponents.html#flash/1-examples"},{"type":"function","title":"Attributes - HomeDashWeb.CoreComponents.flash/1","doc":"* `id` (`:string`) - the optional id of flash container.\n* `flash` (`:map`) - the map of flash messages to display. Defaults to `%{}`.\n* `title` (`:string`) - Defaults to `nil`.\n* `kind` (`:atom`) - used for styling and flash lookup.Must be one of `:info`, or `:error`.\n* Global attributes are accepted. the arbitrary HTML attributes to add to the flash container.","ref":"HomeDashWeb.CoreComponents.html#flash/1-attributes"},{"type":"function","title":"Slots - HomeDashWeb.CoreComponents.flash/1","doc":"* `inner_block` - the optional inner block that renders the flash message.","ref":"HomeDashWeb.CoreComponents.html#flash/1-slots"},{"type":"function","title":"HomeDashWeb.CoreComponents.flash_group/1","doc":"Shows the flash group with standard titles and content.","ref":"HomeDashWeb.CoreComponents.html#flash_group/1"},{"type":"function","title":"Examples - HomeDashWeb.CoreComponents.flash_group/1","doc":"<.flash_group flash={@flash} />","ref":"HomeDashWeb.CoreComponents.html#flash_group/1-examples"},{"type":"function","title":"Attributes - HomeDashWeb.CoreComponents.flash_group/1","doc":"* `flash` (`:map`) (required) - the map of flash messages.\n* `id` (`:string`) - the optional id of flash container. Defaults to `\"flash-group\"`.","ref":"HomeDashWeb.CoreComponents.html#flash_group/1-attributes"},{"type":"function","title":"HomeDashWeb.CoreComponents.header/1","doc":"Renders a header with title.","ref":"HomeDashWeb.CoreComponents.html#header/1"},{"type":"function","title":"Attributes - HomeDashWeb.CoreComponents.header/1","doc":"* `class` (`:string`) - Defaults to `nil`.","ref":"HomeDashWeb.CoreComponents.html#header/1-attributes"},{"type":"function","title":"Slots - HomeDashWeb.CoreComponents.header/1","doc":"* `inner_block` (required)\n* `subtitle`\n* `actions`","ref":"HomeDashWeb.CoreComponents.html#header/1-slots"},{"type":"function","title":"HomeDashWeb.CoreComponents.hide/2","doc":"","ref":"HomeDashWeb.CoreComponents.html#hide/2"},{"type":"function","title":"HomeDashWeb.CoreComponents.hide_modal/2","doc":"","ref":"HomeDashWeb.CoreComponents.html#hide_modal/2"},{"type":"function","title":"HomeDashWeb.CoreComponents.icon/1","doc":"Renders a [Heroicon](https://heroicons.com).\n\nHeroicons come in three styles – outline, solid, and mini.\nBy default, the outline style is used, but solid and mini may\nbe applied by using the `-solid` and `-mini` suffix.\n\nYou can customize the size and colors of the icons by setting\nwidth, height, and background color classes.\n\nIcons are extracted from your `assets/vendor/heroicons` directory and bundled\nwithin your compiled app.css by the plugin in your `assets/tailwind.config.js`.","ref":"HomeDashWeb.CoreComponents.html#icon/1"},{"type":"function","title":"Examples - HomeDashWeb.CoreComponents.icon/1","doc":"<.icon name=\"hero-x-mark-solid\" />\n    <.icon name=\"hero-arrow-path\" class=\"ml-1 w-3 h-3 animate-spin\" />","ref":"HomeDashWeb.CoreComponents.html#icon/1-examples"},{"type":"function","title":"Attributes - HomeDashWeb.CoreComponents.icon/1","doc":"* `name` (`:string`) (required)\n* `class` (`:string`) - Defaults to `nil`.","ref":"HomeDashWeb.CoreComponents.html#icon/1-attributes"},{"type":"function","title":"HomeDashWeb.CoreComponents.input/1","doc":"Renders an input with label and error messages.\n\nA `Phoenix.HTML.FormField` may be passed as argument,\nwhich is used to retrieve the input name, id, and values.\nOtherwise all attributes may be passed explicitly.","ref":"HomeDashWeb.CoreComponents.html#input/1"},{"type":"function","title":"Types - HomeDashWeb.CoreComponents.input/1","doc":"This function accepts all HTML input types, considering that:\n\n  * You may also set `type=\"select\"` to render a ` ` tag\n\n  * `type=\"checkbox\"` is used exclusively to render boolean values\n\n  * For live file uploads, see `Phoenix.Component.live_file_input/1`\n\nSee https://developer.mozilla.org/en-US/docs/Web/HTML/Element/input\nfor more information.","ref":"HomeDashWeb.CoreComponents.html#input/1-types"},{"type":"function","title":"Examples - HomeDashWeb.CoreComponents.input/1","doc":"<.input field={@form[:email]} type=\"email\" />\n    <.input name=\"my-input\" errors={[\"oh no!\"]} />","ref":"HomeDashWeb.CoreComponents.html#input/1-examples"},{"type":"function","title":"Attributes - HomeDashWeb.CoreComponents.input/1","doc":"* `id` (`:any`) - Defaults to `nil`.\n* `name` (`:any`)\n* `label` (`:string`) - Defaults to `nil`.\n* `value` (`:any`)\n* `type` (`:string`) - Defaults to `\"text\"`.\n* `field` (`Phoenix.HTML.FormField`) - a form field struct retrieved from the form, for example: @form[:email].\n* `errors` (`:list`) - Defaults to `[]`.\n* `checked` (`:boolean`) - the checked flag for checkbox inputs.\n* `prompt` (`:string`) - the prompt for select inputs. Defaults to `nil`.\n* `options` (`:list`) - the options to pass to Phoenix.HTML.Form.options_for_select/2.\n* `multiple` (`:boolean`) - the multiple flag for select inputs. Defaults to `false`.\n* Global attributes are accepted. Supports all globals plus: `[\"accept\", \"autocomplete\", \"capture\", \"cols\", \"disabled\", \"form\", \"list\", \"max\", \"maxlength\", \"min\", \"minlength\", \"multiple\", \"pattern\", \"placeholder\", \"readonly\", \"required\", \"rows\", \"size\", \"step\"]`.","ref":"HomeDashWeb.CoreComponents.html#input/1-attributes"},{"type":"function","title":"Slots - HomeDashWeb.CoreComponents.input/1","doc":"* `inner_block`","ref":"HomeDashWeb.CoreComponents.html#input/1-slots"},{"type":"function","title":"HomeDashWeb.CoreComponents.label/1","doc":"Renders a label.","ref":"HomeDashWeb.CoreComponents.html#label/1"},{"type":"function","title":"Attributes - HomeDashWeb.CoreComponents.label/1","doc":"* `for` (`:string`) - Defaults to `nil`.","ref":"HomeDashWeb.CoreComponents.html#label/1-attributes"},{"type":"function","title":"Slots - HomeDashWeb.CoreComponents.label/1","doc":"* `inner_block` (required)","ref":"HomeDashWeb.CoreComponents.html#label/1-slots"},{"type":"function","title":"HomeDashWeb.CoreComponents.list/1","doc":"Renders a data list.","ref":"HomeDashWeb.CoreComponents.html#list/1"},{"type":"function","title":"Examples - HomeDashWeb.CoreComponents.list/1","doc":"<.list>\n      <:item title=\"Title\"><%= @post.title %></:item>\n      <:item title=\"Views\"><%= @post.views %></:item>\n    </.list>","ref":"HomeDashWeb.CoreComponents.html#list/1-examples"},{"type":"function","title":"Slots - HomeDashWeb.CoreComponents.list/1","doc":"* `item` (required) - Accepts attributes:\n\n  * `title` (`:string`) (required)","ref":"HomeDashWeb.CoreComponents.html#list/1-slots"},{"type":"function","title":"HomeDashWeb.CoreComponents.modal/1","doc":"Renders a modal.","ref":"HomeDashWeb.CoreComponents.html#modal/1"},{"type":"function","title":"Examples - HomeDashWeb.CoreComponents.modal/1","doc":"<.modal id=\"confirm-modal\">\n      This is a modal.\n    </.modal>\n\nJS commands may be passed to the `:on_cancel` to configure\nthe closing/cancel event, for example:\n\n    <.modal id=\"confirm\" on_cancel={JS.navigate(~p\"/posts\")}>\n      This is another modal.\n    </.modal>","ref":"HomeDashWeb.CoreComponents.html#modal/1-examples"},{"type":"function","title":"Attributes - HomeDashWeb.CoreComponents.modal/1","doc":"* `id` (`:string`) (required)\n* `show` (`:boolean`) - Defaults to `false`.\n* `on_cancel` (`Phoenix.LiveView.JS`) - Defaults to `%Phoenix.LiveView.JS{ops: []}`.","ref":"HomeDashWeb.CoreComponents.html#modal/1-attributes"},{"type":"function","title":"Slots - HomeDashWeb.CoreComponents.modal/1","doc":"* `inner_block` (required)","ref":"HomeDashWeb.CoreComponents.html#modal/1-slots"},{"type":"function","title":"HomeDashWeb.CoreComponents.show/2","doc":"","ref":"HomeDashWeb.CoreComponents.html#show/2"},{"type":"function","title":"HomeDashWeb.CoreComponents.show_modal/2","doc":"","ref":"HomeDashWeb.CoreComponents.html#show_modal/2"},{"type":"function","title":"HomeDashWeb.CoreComponents.simple_form/1","doc":"Renders a simple form.","ref":"HomeDashWeb.CoreComponents.html#simple_form/1"},{"type":"function","title":"Examples - HomeDashWeb.CoreComponents.simple_form/1","doc":"<.simple_form for={@form} phx-change=\"validate\" phx-submit=\"save\">\n      <.input field={@form[:email]} label=\"Email\"/>\n      <.input field={@form[:username]} label=\"Username\" />\n      <:actions>\n        <.button>Save</.button>\n      </:actions>\n    </.simple_form>","ref":"HomeDashWeb.CoreComponents.html#simple_form/1-examples"},{"type":"function","title":"Attributes - HomeDashWeb.CoreComponents.simple_form/1","doc":"* `for` (`:any`) (required) - the datastructure for the form.\n* `as` (`:any`) - the server side parameter to collect all input under. Defaults to `nil`.\n* Global attributes are accepted. the arbitrary HTML attributes to apply to the form tag. Supports all globals plus: `[\"autocomplete\", \"name\", \"rel\", \"action\", \"enctype\", \"method\", \"novalidate\", \"target\", \"multipart\"]`.","ref":"HomeDashWeb.CoreComponents.html#simple_form/1-attributes"},{"type":"function","title":"Slots - HomeDashWeb.CoreComponents.simple_form/1","doc":"* `inner_block` (required)\n* `actions` - the slot for form actions, such as a submit button.","ref":"HomeDashWeb.CoreComponents.html#simple_form/1-slots"},{"type":"function","title":"HomeDashWeb.CoreComponents.table/1","doc":"Renders a table with generic styling.","ref":"HomeDashWeb.CoreComponents.html#table/1"},{"type":"function","title":"Examples - HomeDashWeb.CoreComponents.table/1","doc":"<.table id=\"users\" rows={@users}>\n      <:col :let={user} label=\"id\"><%= user.id %></:col>\n      <:col :let={user} label=\"username\"><%= user.username %></:col>\n    </.table>","ref":"HomeDashWeb.CoreComponents.html#table/1-examples"},{"type":"function","title":"Attributes - HomeDashWeb.CoreComponents.table/1","doc":"* `id` (`:string`) (required)\n* `rows` (`:list`) (required)\n* `row_id` (`:any`) - the function for generating the row id. Defaults to `nil`.\n* `row_click` (`:any`) - the function for handling phx-click on each row. Defaults to `nil`.\n* `row_item` (`:any`) - the function for mapping each row before calling the :col and :action slots. Defaults to `&Function.identity/1`.","ref":"HomeDashWeb.CoreComponents.html#table/1-attributes"},{"type":"function","title":"Slots - HomeDashWeb.CoreComponents.table/1","doc":"* `col` (required) - Accepts attributes:\n\n  * `label` (`:string`)\n* `action` - the slot for showing user actions in the last table column.","ref":"HomeDashWeb.CoreComponents.html#table/1-slots"},{"type":"function","title":"HomeDashWeb.CoreComponents.translate_error/1","doc":"Translates an error message using gettext.","ref":"HomeDashWeb.CoreComponents.html#translate_error/1"},{"type":"function","title":"HomeDashWeb.CoreComponents.translate_errors/2","doc":"Translates the errors for a field from a keyword list of errors.","ref":"HomeDashWeb.CoreComponents.html#translate_errors/2"},{"type":"module","title":"HomeDashWeb.Endpoint","doc":"","ref":"HomeDashWeb.Endpoint.html"},{"type":"function","title":"HomeDashWeb.Endpoint.broadcast/3","doc":"","ref":"HomeDashWeb.Endpoint.html#broadcast/3"},{"type":"function","title":"HomeDashWeb.Endpoint.broadcast!/3","doc":"","ref":"HomeDashWeb.Endpoint.html#broadcast!/3"},{"type":"function","title":"HomeDashWeb.Endpoint.broadcast_from/4","doc":"","ref":"HomeDashWeb.Endpoint.html#broadcast_from/4"},{"type":"function","title":"HomeDashWeb.Endpoint.broadcast_from!/4","doc":"","ref":"HomeDashWeb.Endpoint.html#broadcast_from!/4"},{"type":"function","title":"HomeDashWeb.Endpoint.call/2","doc":"","ref":"HomeDashWeb.Endpoint.html#call/2"},{"type":"function","title":"HomeDashWeb.Endpoint.child_spec/1","doc":"Returns the child specification to start the endpoint\nunder a supervision tree.","ref":"HomeDashWeb.Endpoint.html#child_spec/1"},{"type":"function","title":"HomeDashWeb.Endpoint.config/2","doc":"Returns the endpoint configuration for `key`\n\nReturns `default` if the key does not exist.","ref":"HomeDashWeb.Endpoint.html#config/2"},{"type":"function","title":"HomeDashWeb.Endpoint.config_change/2","doc":"Reloads the configuration given the application environment changes.","ref":"HomeDashWeb.Endpoint.html#config_change/2"},{"type":"function","title":"HomeDashWeb.Endpoint.host/0","doc":"Returns the host for the given endpoint.","ref":"HomeDashWeb.Endpoint.html#host/0"},{"type":"function","title":"HomeDashWeb.Endpoint.init/1","doc":"","ref":"HomeDashWeb.Endpoint.html#init/1"},{"type":"function","title":"HomeDashWeb.Endpoint.local_broadcast/3","doc":"","ref":"HomeDashWeb.Endpoint.html#local_broadcast/3"},{"type":"function","title":"HomeDashWeb.Endpoint.local_broadcast_from/4","doc":"","ref":"HomeDashWeb.Endpoint.html#local_broadcast_from/4"},{"type":"function","title":"HomeDashWeb.Endpoint.path/1","doc":"Generates the path information when routing to this endpoint.","ref":"HomeDashWeb.Endpoint.html#path/1"},{"type":"function","title":"HomeDashWeb.Endpoint.script_name/0","doc":"Generates the script name.","ref":"HomeDashWeb.Endpoint.html#script_name/0"},{"type":"function","title":"HomeDashWeb.Endpoint.server_info/1","doc":"Returns the address and port that the server is running on","ref":"HomeDashWeb.Endpoint.html#server_info/1"},{"type":"function","title":"HomeDashWeb.Endpoint.start_link/1","doc":"Starts the endpoint supervision tree.\n\nAll other options are merged into the endpoint configuration.","ref":"HomeDashWeb.Endpoint.html#start_link/1"},{"type":"function","title":"HomeDashWeb.Endpoint.static_integrity/1","doc":"Generates a base64-encoded cryptographic hash (sha512) to a static file\nin `priv/static`. Meant to be used for Subresource Integrity with CDNs.","ref":"HomeDashWeb.Endpoint.html#static_integrity/1"},{"type":"function","title":"HomeDashWeb.Endpoint.static_lookup/1","doc":"Returns a two item tuple with the first item being the `static_path`\nand the second item being the `static_integrity`.","ref":"HomeDashWeb.Endpoint.html#static_lookup/1"},{"type":"function","title":"HomeDashWeb.Endpoint.static_path/1","doc":"Generates a route to a static file in `priv/static`.","ref":"HomeDashWeb.Endpoint.html#static_path/1"},{"type":"function","title":"HomeDashWeb.Endpoint.static_url/0","doc":"Generates the static URL without any path information.\n\nIt uses the configuration under `:static_url` to generate\nsuch. It falls back to `:url` if `:static_url` is not set.","ref":"HomeDashWeb.Endpoint.html#static_url/0"},{"type":"function","title":"HomeDashWeb.Endpoint.struct_url/0","doc":"Generates the endpoint base URL but as a `URI` struct.\n\nIt uses the configuration under `:url` to generate such.\nUseful for manipulating the URL data and passing it to\nURL helpers.","ref":"HomeDashWeb.Endpoint.html#struct_url/0"},{"type":"function","title":"HomeDashWeb.Endpoint.subscribe/2","doc":"","ref":"HomeDashWeb.Endpoint.html#subscribe/2"},{"type":"function","title":"HomeDashWeb.Endpoint.unsubscribe/1","doc":"","ref":"HomeDashWeb.Endpoint.html#unsubscribe/1"},{"type":"function","title":"HomeDashWeb.Endpoint.url/0","doc":"Generates the endpoint base URL without any path information.\n\nIt uses the configuration under `:url` to generate such.","ref":"HomeDashWeb.Endpoint.html#url/0"},{"type":"module","title":"HomeDashWeb.ErrorHTML","doc":"","ref":"HomeDashWeb.ErrorHTML.html"},{"type":"function","title":"HomeDashWeb.ErrorHTML.render/2","doc":"","ref":"HomeDashWeb.ErrorHTML.html#render/2"},{"type":"module","title":"HomeDashWeb.ErrorJSON","doc":"","ref":"HomeDashWeb.ErrorJSON.html"},{"type":"function","title":"HomeDashWeb.ErrorJSON.render/2","doc":"","ref":"HomeDashWeb.ErrorJSON.html#render/2"},{"type":"module","title":"HomeDashWeb.Gettext","doc":"A module providing Internationalization with a gettext-based API.\n\nBy using [Gettext](https://hexdocs.pm/gettext),\nyour module gains a set of macros for translations, for example:\n\n    import HomeDashWeb.Gettext\n\n    # Simple translation\n    gettext(\"Here is the string to translate\")\n\n    # Plural translation\n    ngettext(\"Here is the string to translate\",\n             \"Here are the strings to translate\",\n             3)\n\n    # Domain-based translation\n    dgettext(\"errors\", \"Here is the error message to translate\")\n\nSee the [Gettext Docs](https://hexdocs.pm/gettext) for detailed usage.","ref":"HomeDashWeb.Gettext.html"},{"type":"macro","title":"HomeDashWeb.Gettext.dgettext/3","doc":"","ref":"HomeDashWeb.Gettext.html#dgettext/3"},{"type":"macro","title":"HomeDashWeb.Gettext.dgettext_noop/2","doc":"","ref":"HomeDashWeb.Gettext.html#dgettext_noop/2"},{"type":"macro","title":"HomeDashWeb.Gettext.dngettext/5","doc":"","ref":"HomeDashWeb.Gettext.html#dngettext/5"},{"type":"macro","title":"HomeDashWeb.Gettext.dngettext_noop/3","doc":"","ref":"HomeDashWeb.Gettext.html#dngettext_noop/3"},{"type":"macro","title":"HomeDashWeb.Gettext.dpgettext/4","doc":"","ref":"HomeDashWeb.Gettext.html#dpgettext/4"},{"type":"macro","title":"HomeDashWeb.Gettext.dpgettext_noop/3","doc":"","ref":"HomeDashWeb.Gettext.html#dpgettext_noop/3"},{"type":"macro","title":"HomeDashWeb.Gettext.dpngettext/6","doc":"","ref":"HomeDashWeb.Gettext.html#dpngettext/6"},{"type":"macro","title":"HomeDashWeb.Gettext.dpngettext_noop/4","doc":"","ref":"HomeDashWeb.Gettext.html#dpngettext_noop/4"},{"type":"macro","title":"HomeDashWeb.Gettext.gettext/2","doc":"","ref":"HomeDashWeb.Gettext.html#gettext/2"},{"type":"macro","title":"HomeDashWeb.Gettext.gettext_comment/1","doc":"","ref":"HomeDashWeb.Gettext.html#gettext_comment/1"},{"type":"macro","title":"HomeDashWeb.Gettext.gettext_noop/1","doc":"","ref":"HomeDashWeb.Gettext.html#gettext_noop/1"},{"type":"function","title":"HomeDashWeb.Gettext.handle_missing_bindings/2","doc":"","ref":"HomeDashWeb.Gettext.html#handle_missing_bindings/2"},{"type":"function","title":"HomeDashWeb.Gettext.handle_missing_plural_translation/7","doc":"","ref":"HomeDashWeb.Gettext.html#handle_missing_plural_translation/7"},{"type":"function","title":"HomeDashWeb.Gettext.handle_missing_translation/5","doc":"","ref":"HomeDashWeb.Gettext.html#handle_missing_translation/5"},{"type":"function","title":"HomeDashWeb.Gettext.lgettext/5","doc":"","ref":"HomeDashWeb.Gettext.html#lgettext/5"},{"type":"function","title":"HomeDashWeb.Gettext.lngettext/7","doc":"","ref":"HomeDashWeb.Gettext.html#lngettext/7"},{"type":"macro","title":"HomeDashWeb.Gettext.ngettext/4","doc":"","ref":"HomeDashWeb.Gettext.html#ngettext/4"},{"type":"macro","title":"HomeDashWeb.Gettext.ngettext_noop/2","doc":"","ref":"HomeDashWeb.Gettext.html#ngettext_noop/2"},{"type":"macro","title":"HomeDashWeb.Gettext.pgettext/3","doc":"","ref":"HomeDashWeb.Gettext.html#pgettext/3"},{"type":"macro","title":"HomeDashWeb.Gettext.pgettext_noop/2","doc":"","ref":"HomeDashWeb.Gettext.html#pgettext_noop/2"},{"type":"macro","title":"HomeDashWeb.Gettext.pngettext/5","doc":"","ref":"HomeDashWeb.Gettext.html#pngettext/5"},{"type":"macro","title":"HomeDashWeb.Gettext.pngettext_noop/3","doc":"","ref":"HomeDashWeb.Gettext.html#pngettext_noop/3"},{"type":"module","title":"HomeDashWeb.Layouts","doc":"","ref":"HomeDashWeb.Layouts.html"},{"type":"function","title":"HomeDashWeb.Layouts.app/1","doc":"","ref":"HomeDashWeb.Layouts.html#app/1"},{"type":"function","title":"HomeDashWeb.Layouts.root/1","doc":"","ref":"HomeDashWeb.Layouts.html#root/1"},{"type":"module","title":"HomeDashWeb.PageController","doc":"","ref":"HomeDashWeb.PageController.html"},{"type":"function","title":"HomeDashWeb.PageController.home/2","doc":"","ref":"HomeDashWeb.PageController.html#home/2"},{"type":"module","title":"HomeDashWeb.PageHTML","doc":"","ref":"HomeDashWeb.PageHTML.html"},{"type":"function","title":"HomeDashWeb.PageHTML.home/1","doc":"","ref":"HomeDashWeb.PageHTML.html#home/1"},{"type":"module","title":"HomeDashWeb.Router","doc":"","ref":"HomeDashWeb.Router.html"},{"type":"function","title":"HomeDashWeb.Router.api/2","doc":"","ref":"HomeDashWeb.Router.html#api/2"},{"type":"function","title":"HomeDashWeb.Router.browser/2","doc":"","ref":"HomeDashWeb.Router.html#browser/2"},{"type":"function","title":"HomeDashWeb.Router.call/2","doc":"Callback invoked by Plug on every request.","ref":"HomeDashWeb.Router.html#call/2"},{"type":"function","title":"HomeDashWeb.Router.init/1","doc":"Callback required by Plug that initializes the router\nfor serving web requests.","ref":"HomeDashWeb.Router.html#init/1"},{"type":"module","title":"HomeDashWeb.Telemetry","doc":"","ref":"HomeDashWeb.Telemetry.html"},{"type":"function","title":"HomeDashWeb.Telemetry.child_spec/1","doc":"Returns a specification to start this module under a supervisor.\n\nSee `Supervisor`.","ref":"HomeDashWeb.Telemetry.html#child_spec/1"},{"type":"function","title":"HomeDashWeb.Telemetry.metrics/0","doc":"","ref":"HomeDashWeb.Telemetry.html#metrics/0"},{"type":"function","title":"HomeDashWeb.Telemetry.start_link/1","doc":"","ref":"HomeDashWeb.Telemetry.html#start_link/1"}],"content_type":"text/markdown"}